Bug 4925 - Remove Smithsonian as a delivered z39.50 target
Summary: Remove Smithsonian as a delivered z39.50 target
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-30 19:33 UTC by Jane Wagner
Modified: 2016-12-05 21:23 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 4925: Remove Smithsonian as a delivered z39.50 target (7.21 KB, patch)
2015-06-08 00:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 4925: Remove Smithsonian as a delivered z39.50 target (7.51 KB, patch)
2015-06-15 18:08 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 4925: Remove Smithsonian as a delivered z39.50 target (7.58 KB, patch)
2015-06-16 09:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 4925: Remove Smithsonian as a delivered z39.50 target [3.16.x] (5.85 KB, patch)
2015-07-25 08:28 UTC, M. Tompsett
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jane Wagner 2010-06-30 19:33:04 UTC
I propose to remove Smithsonian Institution as a delivered sample z39.50 target for several reasons.  Its collection would seem to be of limited utility for most libraries.  Also, and more important, I spent a long time working with them on search problems a while back.  Something has changed on their server which seems to require particular search attributes to be sent as part of the search.  

As it stands now in Koha, only a raw (keyword) search and an author search will produce any results.  A title search fails unless it's the full, exact title -- no partial entries.  ISBN/ISSN, subject headings, LC call number, and other searches all fail even if a known entry is sent.  Koha is using title attr 1=4 for all z39.50 title search, as near as I can tell, and Smithsonian says they're set to use 44.  Similar for subject -- Koha is set to 21 and Smithsonian is using 121.  A manual yaz z39.50 search specifying the right attributes does work on Smithsonian, but changing them would screw up other z39.50 searches that are now working properly.

Any objections to just removing Smithsonian from the list?
Comment 1 Marc Véron 2012-10-03 17:08:08 UTC
Tested Z39.50search on Smithsonian Institution Libraries.

Result: Connection failed to siris-libraries.si.edu

I agree that the entry could be removed from 
installer\data\mysql\en\optional\sample_z3950_servers.sql

Marc
Comment 2 David Cook 2013-12-22 23:38:28 UTC
Wow...it is rather annoying for the Smithsonian to use only 44, rather than 44 and 4. 

http://sirismm.si.edu/siris/z3950connections.htm

In the short-term, it probably makes sense to remove the Smithsonian from the sample list.

However, this points out the usefulness of being able to map search fields to Bib-1 attributes on a target by target basis.

I think Jared and I discussed this at one point, but there hasn't really been any client-driven impetus to set this up.
Comment 3 nyelpc 2014-08-04 09:55:19 UTC
My experience is the same as reported in Bug 4925 Remove Smithsonian as a delivered z39.50 target.  I could not remove or edit Smithsonian to add/ change it to WorldCat target.  I added a Z39 search target of WorldCat and also edited the Smithsonian Target to the WorldCat values.  Both had the same error message of "Connection failed to worldcat.org"

My search engine was set to:  
http://library.nyelpc.com:8080/cgi-bin/koha/cataloguing/z3950_search.pl

Target library settings are:

Target: WORLDCAT
hostname/port: worldcat.org:210
Database: OCLAuthoritiesLc
UserID: nulle 
Password: null
Checked: No
Rank: 0
Syntax: UNIMARC
Encoding: MARC-8 (also tried utf8)
Timeout: 0

Any suggestions?  Thanks Kerry MacNeal
Contributing factors - we are not a registered WorldCat OCLC user; is there a required registered user lookup table?
Comment 4 Katrin Fischer 2015-05-25 07:56:08 UTC
I can write the patch if we agree on removing it. What do people think?
Comment 5 Marc Véron 2015-05-26 09:32:18 UTC
Removing +1
Comment 6 Katrin Fischer 2015-06-08 00:17:22 UTC Comment hidden (obsolete)
Comment 7 M. Tompsett 2015-06-15 16:42:21 UTC
Oh sure. Make me go find other issues with this section of code too. :(
-- Why are there ALTER TABLE's in the sample sql files?!
Someone remind me to file a bug. Back to looking this over.
Comment 8 M. Tompsett 2015-06-15 18:08:07 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2015-06-16 09:31:18 UTC
Created attachment 40169 [details] [review]
Bug 4925: Remove Smithsonian as a delivered z39.50 target

Removes the Smithsonian as a target installed with the
sample data during installation.

Also adds the newer LOC authority targets to files where
they were missing.

To test:
- Verify the Smithsonian has been removed from all
  translated installers
- Verify the files are still valid SQL and install
  correctly

NOTE: There was tiny scope creep which included ensuring
      there were two Authority z39.50 servers as well.
      Text files properly reflect the removal.
      SQL 'source' of SQL files worked properly.
      Was able to Z39.50 search for all of the 'en'.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 10 Tomás Cohen Arazi 2015-06-22 14:43:42 UTC
Patch pushed to master.

Thanks Katrina!
Comment 11 Chris Cormack 2015-07-06 21:28:51 UTC
Pushed to 3.20.x will be in 3.20.2
Comment 12 Liz Rea 2015-07-20 22:09:07 UTC
Pushed to 3.18.x will be in 3.18.09
Comment 13 Mason James 2015-07-25 06:59:01 UTC
Patch not pushed 3.16.x branch, due to patch conflicts
Comment 14 M. Tompsett 2015-07-25 08:28:03 UTC
Created attachment 41187 [details] [review]
Bug 4925: Remove Smithsonian as a delivered z39.50 target [3.16.x]

Removes the Smithsonian as a target installed with the
sample data during installation.

Also adds the newer LOC authority targets to files where
they were missing.

To test:
- Verify the Smithsonian has been removed from all
  translated installers
- Verify the files are still valid SQL and install
  correctly

NOTE: There was tiny scope creep which included ensuring
      there were two Authority z39.50 servers as well.
      Text files properly reflect the removal.
      SQL 'source' of SQL files worked properly.
      Was able to Z39.50 search for all of the 'en'.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 15 Mason James 2015-07-25 09:42:18 UTC
(In reply to M. Tompsett from comment #14)
> Created attachment 41187 [details] [review] [review]
> Bug 4925: Remove Smithsonian as a delivered z39.50 target [3.16.x]

Pushed to 3.16.x, will be in 3.16.13

thanx Mark :0)